@charset "UTF-8";

/* src/global.scss */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
html {
  width: 100%;
  height: 100%;
  text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  min-height: 100vh;
  overflow-x: hidden;
  font-family: "Nunito Sans", sans-serif;
  font-size: 16px;
  line-height: 1.5;
  color: #000;
  background-color: #fff;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}
a {
  color: inherit;
  text-decoration: none;
}
img {
  max-width: 100%;
  height: auto;
  display: block;
}
button {
  font-family: inherit;
  cursor: pointer;
  border: none;
  background: none;
}
p {
  margin: 0;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  font-weight: inherit;
}
ul,
ol {
  list-style: none;
}
body {
  padding-top: env(safe-area-inset-top);
  padding-bottom: env(safe-area-inset-bottom);
  padding-left: env(safe-area-inset-left);
  padding-right: env(safe-area-inset-right);
}
.text-white {
  color: var(--yappy-color-white);
}
.text-royal {
  color: var(--yappy-color-royal);
}
.text-denim {
  color: var(--yappy-color-denim);
}
.text-14 {
  font-size: 14px;
}
.text-16 {
  font-size: 16px;
}
.text-18 {
  font-size: 18px;
}
.text-20 {
  font-size: 20px;
}
.text-regular {
  font-weight: normal !important;
}
.text-semibold {
  font-weight: 600 !important;
}
.text-bold {
  font-weight: 700 !important;
}
.m-0 {
  margin: 0 !important;
}
.mx-0 {
  margin-left: 0 !important;
  margin-right: 0 !important;
}
.my-0 {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}
.mt-0 {
  margin-top: 0 !important;
}
.mb-0 {
  margin-bottom: 0 !important;
}
.ml-0 {
  margin-left: 0 !important;
}
.mr-0 {
  margin-right: 0 !important;
}
.m-auto {
  margin: auto !important;
}
.mx-auto {
  margin-left: auto !important;
  margin-right: auto !important;
}
.my-auto {
  margin-top: auto !important;
  margin-bottom: auto !important;
}
.mt-auto {
  margin-top: auto !important;
}
.mb-auto {
  margin-bottom: auto !important;
}
.ml-auto {
  margin-left: auto !important;
}
.mr-auto {
  margin-right: auto !important;
}
.m-2 {
  margin: var(--yappy-gap-1) !important;
}
.mx-2 {
  margin-left: var(--yappy-gap-1) !important;
  margin-right: var(--yappy-gap-1) !important;
}
.my-2 {
  margin-top: var(--yappy-gap-1) !important;
  margin-bottom: var(--yappy-gap-1) !important;
}
.mt-2 {
  margin-top: var(--yappy-gap-1) !important;
}
.mb-2 {
  margin-bottom: var(--yappy-gap-1) !important;
}
.ml-2 {
  margin-left: var(--yappy-gap-1) !important;
}
.mr-2 {
  margin-right: var(--yappy-gap-1) !important;
}
.m-4 {
  margin: var(--yappy-gap-2) !important;
}
.mx-4 {
  margin-left: var(--yappy-gap-2) !important;
  margin-right: var(--yappy-gap-2) !important;
}
.my-4 {
  margin-top: var(--yappy-gap-2) !important;
  margin-bottom: var(--yappy-gap-2) !important;
}
.mt-4 {
  margin-top: var(--yappy-gap-2) !important;
}
.mb-4 {
  margin-bottom: var(--yappy-gap-2) !important;
}
.ml-4 {
  margin-left: var(--yappy-gap-2) !important;
}
.mr-4 {
  margin-right: var(--yappy-gap-2) !important;
}
.m-8 {
  margin: var(--yappy-gap-3) !important;
}
.mx-8 {
  margin-left: var(--yappy-gap-3) !important;
  margin-right: var(--yappy-gap-3) !important;
}
.my-8 {
  margin-top: var(--yappy-gap-3) !important;
  margin-bottom: var(--yappy-gap-3) !important;
}
.mt-8 {
  margin-top: var(--yappy-gap-3) !important;
}
.mb-8 {
  margin-bottom: var(--yappy-gap-3) !important;
}
.ml-8 {
  margin-left: var(--yappy-gap-3) !important;
}
.mr-8 {
  margin-right: var(--yappy-gap-3) !important;
}
.m-12 {
  margin: var(--yappy-gap-4) !important;
}
.mx-12 {
  margin-left: var(--yappy-gap-4) !important;
  margin-right: var(--yappy-gap-4) !important;
}
.my-12 {
  margin-top: var(--yappy-gap-4) !important;
  margin-bottom: var(--yappy-gap-4) !important;
}
.mt-12 {
  margin-top: var(--yappy-gap-4) !important;
}
.mb-12 {
  margin-bottom: var(--yappy-gap-4) !important;
}
.ml-12 {
  margin-left: var(--yappy-gap-4) !important;
}
.mr-12 {
  margin-right: var(--yappy-gap-4) !important;
}
.m-16 {
  margin: var(--yappy-gap-5) !important;
}
.mx-16 {
  margin-left: var(--yappy-gap-5) !important;
  margin-right: var(--yappy-gap-5) !important;
}
.my-16 {
  margin-top: var(--yappy-gap-5) !important;
  margin-bottom: var(--yappy-gap-5) !important;
}
.mt-16 {
  margin-top: var(--yappy-gap-5) !important;
}
.mb-16 {
  margin-bottom: var(--yappy-gap-5) !important;
}
.ml-16 {
  margin-left: var(--yappy-gap-5) !important;
}
.mr-16 {
  margin-right: var(--yappy-gap-5) !important;
}
.m-24 {
  margin: var(--yappy-gap-6) !important;
}
.mx-24 {
  margin-left: var(--yappy-gap-6) !important;
  margin-right: var(--yappy-gap-6) !important;
}
.my-24 {
  margin-top: var(--yappy-gap-6) !important;
  margin-bottom: var(--yappy-gap-6) !important;
}
.mt-24 {
  margin-top: var(--yappy-gap-6) !important;
}
.mb-24 {
  margin-bottom: var(--yappy-gap-6) !important;
}
.ml-24 {
  margin-left: var(--yappy-gap-6) !important;
}
.mr-24 {
  margin-right: var(--yappy-gap-6) !important;
}
.m-32 {
  margin: var(--yappy-gap-7) !important;
}
.mx-32 {
  margin-left: var(--yappy-gap-7) !important;
  margin-right: var(--yappy-gap-7) !important;
}
.my-32 {
  margin-top: var(--yappy-gap-7) !important;
  margin-bottom: var(--yappy-gap-7) !important;
}
.mt-32 {
  margin-top: var(--yappy-gap-7) !important;
}
.mb-32 {
  margin-bottom: var(--yappy-gap-7) !important;
}
.ml-32 {
  margin-left: var(--yappy-gap-7) !important;
}
.mr-32 {
  margin-right: var(--yappy-gap-7) !important;
}
.m-40 {
  margin: var(--yappy-gap-8) !important;
}
.mx-40 {
  margin-left: var(--yappy-gap-8) !important;
  margin-right: var(--yappy-gap-8) !important;
}
.my-40 {
  margin-top: var(--yappy-gap-8) !important;
  margin-bottom: var(--yappy-gap-8) !important;
}
.mt-40 {
  margin-top: var(--yappy-gap-8) !important;
}
.mb-40 {
  margin-bottom: var(--yappy-gap-8) !important;
}
.ml-40 {
  margin-left: var(--yappy-gap-8) !important;
}
.mr-40 {
  margin-right: var(--yappy-gap-8) !important;
}
.m-48 {
  margin: var(--yappy-gap-9) !important;
}
.mx-48 {
  margin-left: var(--yappy-gap-9) !important;
  margin-right: var(--yappy-gap-9) !important;
}
.my-48 {
  margin-top: var(--yappy-gap-9) !important;
  margin-bottom: var(--yappy-gap-9) !important;
}
.mt-48 {
  margin-top: var(--yappy-gap-9) !important;
}
.mb-48 {
  margin-bottom: var(--yappy-gap-9) !important;
}
.ml-48 {
  margin-left: var(--yappy-gap-9) !important;
}
.mr-48 {
  margin-right: var(--yappy-gap-9) !important;
}
.m-64 {
  margin: var(--yappy-gap-10) !important;
}
.mx-64 {
  margin-left: var(--yappy-gap-10) !important;
  margin-right: var(--yappy-gap-10) !important;
}
.my-64 {
  margin-top: var(--yappy-gap-10) !important;
  margin-bottom: var(--yappy-gap-10) !important;
}
.mt-64 {
  margin-top: var(--yappy-gap-10) !important;
}
.mb-64 {
  margin-bottom: var(--yappy-gap-10) !important;
}
.ml-64 {
  margin-left: var(--yappy-gap-10) !important;
}
.mr-64 {
  margin-right: var(--yappy-gap-10) !important;
}
.mt-safe {
  margin-top: env(safe-area-inset-top) !important;
}

/* src/theme/variables.scss */
:root {
  --yappy-font-family: "Nunito Sans", sans-serif;
  --yappy-gap-1: 2px;
  --yappy-gap-2: 4px;
  --yappy-gap-3: 8px;
  --yappy-gap-4: 12px;
  --yappy-gap-5: 16px;
  --yappy-gap-6: 24px;
  --yappy-gap-7: 32px;
  --yappy-gap-8: 40px;
  --yappy-gap-9: 48px;
  --yappy-gap-10: 64px;
  --yappy-color-glacier: #1eb2f5;
  --yappy-color-white: #fff;
  --yappy-color-royal: #1677d8;
  --yappy-color-silver: #ebeef4;
  --yappy-color-denim: #444c5e;
  --yappy-color-new-frost: #f4faff;
  --yappy-shadow-low: 0px 2px 8px rgba(0, 39, 90, 0.1);
}
@media (prefers-color-scheme: dark) {
  :root {
    --yappy-color-glacier: #1eb2f5;
    --yappy-color-tangerine: #ff973c;
    --yappy-color-crystal: #f9fdff;
    --yappy-color-logo-blue: #004c97;
    --yappy-color-navy: #003882;
    --yappy-color-royal: #1677d8;
    --yappy-color-storm: #7da9d6;
    --yappy-color-frost: #f1f9ff;
    --yappy-color-cooper: #d86018;
    --yappy-color-smoothie: #fff5e1;
    --yappy-color-denim: #444c5e;
    --yappy-color-concrete: #6f7583;
    --yappy-color-emerald: #009950;
    --yappy-color-lemon: #e1ffc7;
    --yappy-color-ruby: #d0021b;
    --yappy-color-ash: #9fa6b7;
    --yappy-color-aluminium: #d2d6de;
    --yappy-color-blush: #fff4f5;
    --yappy-color-cherry: #ff5959;
    --yappy-color-pearl: #f7f9fc;
    --yappy-color-silver: #ebeef4;
    --yappy-color-thunder: #b0d0f1;
    --yappy-color-ink: #292e38;
    --yappy-color-sky: #cce3f5;
    --yappy-color-new-artic: #e3f3ff;
    --yappy-color-new-frost: #f4faff;
    --yappy-color-twister: #5279a1;
    --yappy-color-salmon: #fff5eb;
    --yappy-color-tan: #eaa175;
    --yappy-color-new-teal: #19c0c0;
    --yappy-color-white: #fff;
    --yappy-color-yellow: #ffc935;
    --yappy-color-black: #000;
    --yappy-shadow-flat: 0px 1px 1px rgba(0, 39, 90, 0.2);
    --yappy-shadow-low: 0px 2px 8px rgba(0, 39, 90, 0.1);
    --yappy-shadow-normal: 0px 8px 16px rgba(0, 39, 90, 0.15);
    --yappy-shadow-high: 0px 16px 48px rgba(0, 39, 90, 0.2);
  }
}

/* angular:styles/global:styles */
